Bug 904259 - Unneeded *.pyc, *.pyo for plug-ins?
Unneeded *.pyc, *.pyo for plug-ins?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 16:31 EST by Ville Skyttä
Modified: 2016-01-31 20:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 08:36:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-01-25 16:31:37 EST
I suppose only the executables are the things that count from cinepaint plug-ins, so the autogenerated *.pyc and *.pyo can probably be excluded from the package, something like this should take care of it (untested):

--- a/cinepaint.spec
+++ b/cinepaint.spec
@@ -232,2 +232,3 @@
 %{_libdir}/%{name}/
+%exclude %{_libdir}/%{name}/*/plug-ins/*.py[co]
 %{_libdir}/*.so.*
Comment 1 Fedora End Of Life 2013-07-03 19:41:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Ville Skyttä 2013-07-07 05:12:53 EDT
1.3-9.fc19 is still affected.
Comment 3 Fedora Admin XMLRPC Client 2013-08-05 13:43:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Jaromír Cápík 2013-10-31 08:36:27 EDT
Hello Ville.

The latest testing builds do not contain any python stuff as python plugins have been removed upstream.

Please, download cinepaint-libs and cinepaint from here ...

http://koji.fedoraproject.org/koji/taskinfo?taskID=6117552

... and install both.

I'm closing this bug as resolved.

Thanks for the report.

Regards,
Jaromir.

Note You need to log in before you can comment on or make changes to this bug.